

apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: ingress-routes-ok-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
spec:
  entryPoints:
    - websecure
  routes:
##### SPA
    - match: Host(`{{ .Values.branchSubdomain }}spa.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`) && PathPrefix(`/statementpaFE`)
      kind: Rule
      middlewares:
        - name: traefik-spa-fe-strip-prefix@kubernetescrd
      {{- if $.Values.traefikForwardAuthEnabled }}
        - name: traefik-traefik-forward-auth-{{ .Values.rootEnvironment }}@kubernetescrd
      {{- end }}
      services:
        - name: spa-fe-service
          port: 80
  tls:
    certResolver: ourcertresolver